from taller_programacion import *
"""
Las condiciones nos permiten tomar decisiones en el programa, pero qué son las condiciones?

Ejemplo:
    Si me traes el azucar haré un bizcocho.
        La condición es que traigas el azucar para hacer el bizcocho, si lo resumimos podemos decir
        que si SI hay azucar SI hay bizcocho si NO hay azucar NO hay bizcocho.
        Si lo escribimos de otra forma...
            si azucar..
                SI -> bizcocho
                NO -> pasar hambre
Otro ejemplo:
    Si NO fregas los platos hoy duermes en el sofá.
        Resumiendo si SI friegas los platos duermes en la cama
        si NO friegas los platos duermes en el sofá
        Si lo escribimos de otra forma...
            si fregar..
                SI -> cama
                NO -> sofá
"""

"""
Las condiciones siempre dependen de algo que se puede simplificar a si es "cierto" o es "falso" y la palabra mágica que define una condición es...
"si"

si pasas, estás dentro
si saltas, vuelas
si duermes, descansas
si juegas, te diviertes

"""


"""
en programación ese "si" se traduce en "if" y se escribe de esta forma:
    if condicion:
        lo que pasa si es cierto

Es importante ver que lo que pasa está mas a la derecha de el "if" y es necesario que sea así y usando un golpe de tabulador.
Explicarlo es enrevesado, es más fácil hacerlo ya verás:
"""

if cierto:					# Si la condición se cumple imprimirá el mensaje. Esta condición siempre se cumplirá pues siempre es cierta
    imprimir("Es cierto")
    
if falso:					# Si la condición se cumple imprimirá el mensaje. Esta condición NUNCA se cumplirá pues siempre es falsa
    imprimir("Es falso")
    
"""
El ejemplo anterior es muy simple pero un poco antiintuitivo, vamos con algo mas real!
Crearemos una variable y le daremos un valor, luego dependiendo de ese valor cumplirá o no alguna condición
"""

caja1 = 5

if caja1 == 5:				# Usamos el doble == porque estamos comparando caja1 con el valor 5, si es igual se imprimirá el mensaje sino no
    imprimir("caja1 es igual a 5")

if caja1 == 6:				# Usamos el doble == porque estamos comparando caja1 con el valor 6, si es igual se imprimirá el mensaje sino no
    imprimir("caja1 es igual a 6")
    
    
"""
Qué pasa cuando no se cumple la condición y queremos saberlo? pues podemos usar el "sino"
"si" como, me quedo a gusto, "sino", tengo hambre.
el "sino" en programación se traduce en "else" y se escribe así

if condicion:
    lo que pasa si es cierto
else:
    lo que pasa si es falso

Vamos con un ejemplo práctico:
"""

if caja1 == 8:				# Si la caja1 = 8 se imprimirá el primer mensaje
    imprimir("caja1 es igual a 8")
else:						# Si la caja NO es igual a 8 se imprimirá el siguiente mensaje
    imprimir("caja1 NO es igual a 8")
    

"""
Qué mas tipos de condiciones se pueden hacer?
Pues vamos con unos ejemplos!
"""

if caja1 > 3:				# Es caja1 MAYOR que 3?
    imprimir("caja1 MAYOR que 3")
else:
    imprimir("caja1 NO es MAYOR que 3")



if caja1 < 10:				# Es caja1 MENOR que 10?
    imprimir("caja1 es MENOR que 10")
else:
    imprimir("caja1 NO es MENOR que 10")
    
if caja1 != 10:				# Es caja1 es diferente a 10?
    imprimir("caja1 es DIFERENTE a 10")
else:
    imprimir("caja1 es IGUAL a 10")	

    
caja2 = "bocadillo"			# Creamos una variable que contiene la palabra bocadillo

if caja2 == "bocadillo":	# Contiene la caja2 la palabra bocadillo?
    imprimir("caja2 contiene la palabra bocadillo")
else:
    imprimir("caja2 NO contiene la palabra bocadillo")
    
"""
Las condiciones que se pueden usar son:
== Para igualar
< Para decir que es menor
> Para decir que es mayor
¡= Para decir que es diferente
>= Para decir que es mayor o igual
<= Para decir que es menor o igual

"""

